#### Previous topic

scipy.linalg.get_blas_funcs

#### Next topic

scipy.linalg.find_best_blas_type

# scipy.linalg.get_lapack_funcs

`scipy.linalg.``get_lapack_funcs`(names, arrays=(), dtype=None)

  Return available LAPACK function objects from names.

  Arrays are used to determine the optimal prefix of LAPACK routines.

  Parameters:

  names : str or sequence of str

  > Name(s) of LAPACK functions without type prefix.

  arrays : sequence of ndarrays, optional

  > Arrays can be given to determine optimal prefix of LAPACK routines. If not given, double-precision routines will be used, otherwise the most generic type in arrays will be used.

  dtype : str or dtype, optional

  > Data-type specifier. Not used if arrays is non-empty.

  Returns:

  funcs : list

  > List containing the found function(s).

  Notes

  This routine automatically chooses between Fortran/C interfaces. Fortran code is used whenever possible for arrays with column major order. In all other cases, C code is preferred.

  In LAPACK, the naming convention is that all functions start with a type prefix, which depends on the type of the principal matrix. These can be one of {‘s’, ‘d’, ‘c’, ‘z’} for the numpy types {float32, float64, complex64, complex128} respectevely, and are stored in attribute typecode of the returned functions.